> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cortex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search entities

> Relevance-ranked catalog search. Returns a lean, hydrated result set scoped by query and/or filters.



## OpenAPI

````yaml /openapi/cortex_swagger.json get /api/v1/catalog/search
openapi: 3.0.1
info:
  description: >-
    The Cortex REST API provides programmatic access to the data in the catalog,
    Scorecards, and more.
  title: Cortex API
  version: v1
servers:
  - url: https://api.getcortexapp.com
    description: Cortex Cloud API host
security:
  - bearerAuth: []
tags:
  - name: API Keys
  - name: Audit Logs
  - name: Catalog Entities
  - name: Catalogs
  - name: Custom Data
  - name: Custom Data [Advanced]
  - name: Custom Events
  - name: Custom Metrics
  - name: Dependencies
  - name: Deploys
  - name: Discovery Audit
  - name: Docs
  - name: 'Eng Intel: 1-Registry'
  - name: 'Eng Intel: 2-Metrics'
  - name: 'Eng Intel: 3-Trace'
  - name: 'Eng Intel: User Labels'
  - name: Entity Relationship Types
  - name: Entity Relationships
  - name: Entity Types
  - name: GitOps Logs
  - name: Groups
  - name: IP Allowlist
  - name: Initiatives
  - name: My Workspace
  - name: Notification Logs
  - name: On-call
  - name: Packages
  - name: Plugins
  - name: Queries
  - name: SCIM
  - name: Scaffolder
  - name: Scorecards
  - name: Secrets
  - name: Team Roles
  - name: Teams
  - name: Teams Hierarchies
  - name: Teams [Advanced]
  - name: Teams [Departments] (legacy)
  - name: Users
  - name: Verifications
  - name: Workflows
  - name: '[Integrations] AWS'
  - name: '[Integrations] Anthropic'
  - name: '[Integrations] Apiiro'
  - name: '[Integrations] ArgoCD'
  - name: '[Integrations] Azure Active Directory'
  - name: '[Integrations] Azure Devops'
  - name: '[Integrations] Azure Resources'
  - name: '[Integrations] BambooHR'
  - name: '[Integrations] Bitbucket'
  - name: '[Integrations] Bugsnag'
  - name: '[Integrations] Buildkite'
  - name: '[Integrations] Checkmarx SAST'
  - name: '[Integrations] CircleCI'
  - name: '[Integrations] ClickUp'
  - name: '[Integrations] Codecov'
  - name: '[Integrations] Coralogix'
  - name: '[Integrations] Datadog'
  - name: '[Integrations] Dynatrace'
  - name: '[Integrations] Firehydrant'
  - name: '[Integrations] GitHub'
  - name: '[Integrations] GitLab'
  - name: '[Integrations] Harness'
  - name: '[Integrations] Incident.io'
  - name: '[Integrations] Instana'
  - name: '[Integrations] Jenkins'
  - name: '[Integrations] Jira'
  - name: '[Integrations] Kubernetes'
  - name: '[Integrations] LaunchDarkly'
  - name: '[Integrations] Lightstep'
  - name: '[Integrations] Mend SAST'
  - name: '[Integrations] Mend SCA'
  - name: '[Integrations] New Relic'
  - name: '[Integrations] Okta'
  - name: '[Integrations] Opsgenie'
  - name: '[Integrations] PagerDuty'
  - name: '[Integrations] Prometheus'
  - name: '[Integrations] Rollbar'
  - name: '[Integrations] Rootly'
  - name: '[Integrations] Semgrep'
  - name: '[Integrations] Sentry'
  - name: '[Integrations] ServiceNow'
  - name: '[Integrations] SignalFx'
  - name: '[Integrations] Snyk'
  - name: '[Integrations] SonarQube'
  - name: '[Integrations] SumoLogic'
  - name: '[Integrations] Veracode'
  - name: '[Integrations] VictorOps'
  - name: '[Integrations] Wiz'
  - name: '[Integrations] Workday'
  - name: '[Integrations] xMatters'
  - name: dev-login-controller
  - name: public-scim-schema-controller
paths:
  /api/v1/catalog/search:
    get:
      tags:
        - Catalog Entities
      summary: Search entities
      description: >-
        Relevance-ranked catalog search. Returns a lean, hydrated result set
        scoped by query and/or filters.
      operationId: searchCatalog
      parameters:
        - description: Relevance search text. Plain words work; AND/OR/NOT supported.
          in: query
          name: query
          required: false
          schema:
            type: string
        - description: Restrict to entity types, e.g. service, domain, team, resource.
          in: query
          name: types
          required: false
          schema:
            type: array
            items:
              type: string
        - description: >-
            Owner team tags. Returns entities owned by these teams, including
            their sub-teams.
          in: query
          name: owners
          required: false
          schema:
            type: array
            items:
              type: string
        - description: >-
            Domain tags. Returns entities in these domains, including their
            sub-domains.
          in: query
          name: domains
          required: false
          schema:
            type: array
            items:
              type: string
        - description: Catalog slug. Scopes the search to that catalog's entities.
          in: query
          name: catalog
          required: false
          schema:
            type: string
        - description: 0-indexed page number.
          in: query
          name: page
          required: false
          schema:
            type: integer
            format: int32
            default: 0
        - description: Results per page, 1-100.
          in: query
          name: pageSize
          required: false
          schema:
            type: integer
            format: int32
            default: 25
        - in: query
          name: includeArchived
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogSearchResponse'
          description: OK
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    CatalogSearchResponse:
      required:
        - pagination
        - results
      type: object
      properties:
        pagination:
          $ref: '#/components/schemas/SearchPagination'
        results:
          type: array
          items:
            $ref: '#/components/schemas/SearchResultEntity'
      description: Relevance-ranked catalog search results.
    SearchPagination:
      required:
        - hasMore
        - page
        - pageSize
        - total
        - totalPages
      type: object
      properties:
        hasMore:
          type: boolean
        page:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        total:
          type: integer
          format: int64
        totalPages:
          type: integer
          format: int32
    SearchResultEntity:
      required:
        - cid
        - groups
        - name
        - ownerEmails
        - owningTeamTags
        - status
        - tag
        - type
      type: object
      properties:
        cid:
          type: string
          description: Stable 18-char identifier (hashid)
          example: en2da8159dbeefb974
        description:
          type: string
        groups:
          type: array
          description: >-
            Free-form tags used to organize the catalog — inclusion or exclusion
            criteria in Scorecards, catalogs, and CQL reports. Corresponds to
            the x-cortex-groups field in the Catalog Descriptor.
          items:
            type: string
            description: >-
              Free-form tags used to organize the catalog — inclusion or
              exclusion criteria in Scorecards, catalogs, and CQL reports.
              Corresponds to the x-cortex-groups field in the Catalog
              Descriptor.
        name:
          type: string
        ownerEmails:
          type: array
          description: Emails of individual owners
          items:
            type: string
            description: Emails of individual owners
        owningTeamTags:
          type: array
          description: Tags of the teams that own this entity
          items:
            type: string
            description: Tags of the teams that own this entity
        status:
          type: string
          enum:
            - ACTIVE
            - ARCHIVED
        tag:
          type: string
          description: Human slug / x-cortex-tag
          example: payments-api
        type:
          type: string
          description: Entity type
          example: service
      description: A single search result, lean by design.
    TooManyRequestsProblemDetail:
      required:
        - type
        - title
        - status
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
          format: uri-reference
        retryAfter:
          minimum: 0
          type: integer
          description: The number of seconds until the rate limiting resets.
          format: int32
        status:
          maximum: 599
          minimum: 100
          type: integer
          format: int32
          enum:
            - 429
        title:
          type: string
        type:
          type: string
          format: uri-reference
  responses:
    TooManyRequests:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/TooManyRequestsProblemDetail'
      description: >-
        The client has exceeded the rate limit by performing too many requests
        in a short period. Retry the request after a delay.
      headers:
        Retry-After:
          description: The number of seconds until the rate limiting resets.
          schema:
            minimum: 0
            type: integer
            format: int32
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: >-
        All requests to the Cortex API need to provide an `Authorization: Bearer
        <token>` header, where `<token>` is an API key created in the Settings
        page of your workspace.
      scheme: bearer
      type: http

````

## Related topics

- [Catalog Entities](/api/rest/catalog-entities.md)
- [Using search in Cortex](/configure/settings/search.md)
- [Discovered entities](/ingesting-data-into-cortex/entities-overview/entities/discovery-audit.md)
